Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Class XMLType

    java.lang.Object
      |
      +--javax.xml.rpc.encoding.XMLType

public class XMLType
extends java.lang.Object

Class XMLType

Version:
  1.0

Field Summary
`static QName` | `SOAP_ARRAY` Field SOAP_ARRAY
`static QName` | `SOAP_BASE64` Field SOAP_BASE64
`static QName` | `SOAP_BOOLEAN` Field SOAP_BOOLEAN
`static QName` | `SOAP_BYTE` Field SOAP_BYTE
`static QName` | `SOAP_DOUBLE` Field SOAP_DOUBLE
`static QName` | `SOAP_FLOAT` Field SOAP_FLOAT
`static QName` | `SOAP_INT` Field SOAP_INT
`static QName` | `SOAP_LONG` Field SOAP_LONG
`static QName` | `SOAP_SHORT` Field SOAP_SHORT
`static QName` | `SOAP_STRING` Field SOAP_STRING
`static QName` | `XSD_BASE64` Field XSD_BASE64
`static QName` | `XSD_BOOLEAN` Field XSD_BOOLEAN
`static QName` | `XSD_BYTE` Field XSD_BYTE
`static QName` | `XSD_DATETIME` Field XSD_DATETIME
`static QName` | `XSD_DECIMAL` Field XSD_DECIMAL
`static QName` | `XSD_DOUBLE` Field XSD_DOUBLE
`static QName` | `XSD_FLOAT` Field XSD_FLOAT
`static QName` | `XSD_HEXBINARY` Field XSD_HEXBINARY
`static QName` | `XSD_INT` Field XSD_INT
`static QName` | `XSD_INTEGER` Field XSD_INTEGER
`static QName` | `XSD_LONG` Field XSD_LONG
`static QName` | `XSD_QNAME` Field XSD_QNAME
`static QName` | `XSD_SHORT` Field XSD_SHORT
`static QName` | `XSD_STRING` Field XSD_STRING

Constructor Summary
`XMLType()` Constructor XMLType

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSD_STRING

    public static final QName XSD_STRING

  Field XSD_STRING

### XSD_FLOAT

    public static final QName XSD_FLOAT

  Field XSD_FLOAT

### XSD_BOOLEAN

    public static final QName XSD_BOOLEAN

  Field XSD_BOOLEAN

### XSD_DOUBLE

    public static final QName XSD_DOUBLE

  Field XSD_DOUBLE

### XSD_INTEGER

    public static final QName XSD_INTEGER

  Field XSD_INTEGER

### XSD_INT

    public static final QName XSD_INT

  Field XSD_INT

### XSD_LONG

    public static final QName XSD_LONG

  Field XSD_LONG

### XSD_SHORT

    public static final QName XSD_SHORT

  Field XSD_SHORT

### XSD_DECIMAL

    public static final QName XSD_DECIMAL

  Field XSD_DECIMAL

### XSD_BASE64

    public static final QName XSD_BASE64

  Field XSD_BASE64

### XSD_HEXBINARY

    public static final QName XSD_HEXBINARY

  Field XSD_HEXBINARY

### XSD_BYTE

    public static final QName XSD_BYTE

  Field XSD_BYTE

### XSD_DATETIME

    public static final QName XSD_DATETIME

  Field XSD_DATETIME

### XSD_QNAME

    public static final QName XSD_QNAME

  Field XSD_QNAME

### SOAP_STRING

    public static final QName SOAP_STRING

  Field SOAP_STRING

### SOAP_BOOLEAN

    public static final QName SOAP_BOOLEAN

  Field SOAP_BOOLEAN

### SOAP_DOUBLE

    public static final QName SOAP_DOUBLE

  Field SOAP_DOUBLE

### SOAP_BASE64

    public static final QName SOAP_BASE64

  Field SOAP_BASE64

### SOAP_FLOAT

    public static final QName SOAP_FLOAT

  Field SOAP_FLOAT

### SOAP_INT

    public static final QName SOAP_INT

  Field SOAP_INT

### SOAP_LONG

    public static final QName SOAP_LONG

  Field SOAP_LONG

### SOAP_SHORT

    public static final QName SOAP_SHORT

  Field SOAP_SHORT

### SOAP_BYTE

    public static final QName SOAP_BYTE

  Field SOAP_BYTE

### SOAP_ARRAY

    public static final QName SOAP_ARRAY

  Field SOAP_ARRAY

Constructor Detail

### XMLType

    public XMLType()

  Constructor XMLType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.